﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;
using AxisGroupingDemo.View;

namespace AxisGroupingDemo
{
    public class SampleDataSource
    {
        private List<SampleItem> _allSamples;
        public List<SampleItem> AllSamples
        {
            get
            {
                return _allSamples;
            }
        }
        public SampleDataSource()
        {
            _allSamples = new List<SampleItem>();
            _allSamples.Add(new SampleItem("Categorical",
                Properties.Resources.CategoricalAxisTitle,
                Properties.Resources.CategoricalAxisDesc,
                new CategoricalAxisGrouping()));
            _allSamples.Add(new SampleItem("Switch Groups",
                Properties.Resources.SwitchGroupsTitle,
                Properties.Resources.SwitchGroupsDesc,
                new SwitchAxisGroupsDemo()));
            _allSamples.Add(new SampleItem("Numerical",
                Properties.Resources.NumericalAxisTitle,
                Properties.Resources.NumericalAxisDesc,
                new NumericalAxisGrouping()));
            _allSamples.Add(new SampleItem("DateTime",
                Properties.Resources.DateTimeAxisTitle,
                Properties.Resources.DateTimeAxisDesc,
                new DateTimeAxisGrouping()));
        }
    }
}
